Subject: bug#54289: 29.0.50; Emacs ignores xmodmap Super_L assignment

From: Stephen Berman <[email-masked]>
Date: Mon, 07 Mar 2022 16:53:47 +0100

On Mon, 07 Mar 2022 16:24:06 +0100 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> In my latest build from master (details below), the Super_L assignment
>> is ignored and Emacs does not react at all to pressing the Super_L key
>> (the Menu assignment is still recognized).
> [...]
>
>> In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.24.31,
>> cairo version 1.17.4)
>>  of 2022-03-06 built on strobelfs2
>> Repository revision: 98d2dc6522114e4044077801f11a3ed8de9c1147
>> Repository branch: master
>> Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
>> System Description: Linux From Scratch r11.0-165
>
> I'm unable to reproduce this on Debian/bullseye.  Our conf looks pretty
> similar:
>
> In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.31,
> cairo version 1.16.0)
>  of 2022-03-06 built on xo
> Repository revision: 98d2dc6522114e4044077801f11a3ed8de9c1147
> Repository branch: master
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
> System Description: Debian GNU/Linux bookworm/sid

Is your build without --with-pgtk?  I don't have the issue on my
--with-pgtk build.  But without --with-pgtk it's completely reproducible
for me (both with and without --with-native-compilation).  How do you
evaluate the keysym assignments?  In my ~/.bash_profile I have `xmodmap
~/.Xmodmap'.

Steve Berman